#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-test
version:              0.13.0.0
visibility:           public
id:                   lsp-test-0.13.0.0-1CX1AwF9gEM5cvUcdnKRrm
key:                  lsp-test-0.13.0.0-1CX1AwF9gEM5cvUcdnKRrm
license:              BSD-3-Clause
copyright:            2021 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:             https://github.com/bubba/lsp-test#readme
synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire, and @Language.LSP.Test@ can replay captured sessions from
    <haskell-lsp https://hackage.haskell.org/package/haskell-lsp>.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  bf5a4e4f27d3c16f268b50e64d158417
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-DiU4leLN1bk4yjPVc8BdOd:Control.Applicative.Combinators,
    Language.LSP.Test,
    Language.LSP.Types from lsp-types-1.1.0.0-haRC79RNyu7EHfdcfULc3:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.1.0.0-haRC79RNyu7EHfdcfULc3:Language.LSP.Types.Capabilities

hidden-modules:
    Language.LSP.Test.Compat Language.LSP.Test.Decoding
    Language.LSP.Test.Exceptions Language.LSP.Test.Files
    Language.LSP.Test.Parsing Language.LSP.Test.Server
    Language.LSP.Test.Session

import-dirs:          /usr/lib/ghc-8.10.4/site-local/lsp-test-0.13.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/lsp-test-0.13.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/lsp-test-0.13.0.0
hs-libraries:         HSlsp-test-0.13.0.0-1CX1AwF9gEM5cvUcdnKRrm
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-1sFcmiTBT9m6UCoVw5tPyD
    aeson-1.5.6.0-4fHNEU34DqGLin6g6nejhx
    aeson-pretty-0.8.8-8Edy8u8g9SQHvHRb3INAfR
    ansi-terminal-0.11-ChZQ4tet9RpCZKLIWEgagm
    async-2.2.3-bRJqoep3gj749cy8sss28 base-4.14.1.0
    bytestring-0.10.12.0 conduit-1.3.4.1-D7tjG3uoOloKYIrANBNmms
    conduit-parse-0.2.1.0-8yziq5HIohe9cgVxIGC7qR containers-0.6.2.1
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV directory-1.3.6.0
    filepath-1.4.2.1 lens-5.0.1-ATHEqBmukxhJ8u4w26kFOx
    lsp-types-1.1.0.0-haRC79RNyu7EHfdcfULc3 mtl-2.2.2
    parser-combinators-1.3.0-DiU4leLN1bk4yjPVc8BdOd process-1.6.9.0
    some-1.0.3-DOAyHBxu2Hi295GDOks7Sc text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.13.0-L0eBZW05rpSJOXS7yU5DxX

haddock-interfaces:   /usr/share/doc/haskell-lsp-test/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

